<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_565d7be99acb0b7627e48d" . "a068eebbd6" => base64_decode("cmVxdWly" . "ZWQ="), "_5a318eaa74da0cc2a06" . "bdb95289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2" . "UgcHJvamVjdA=="), "projec" . "t_id" => base64_decode("cHJvam" . "VjdF9p" . "ZA=="), "_ec438e08973b3716c60e393f66ef5e" . "7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgS" . "UMgcHJvamVjdA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["project" . "_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_5a318eaa74da0cc" . "2a06bdb95289fe81" . "b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["proj" . "ect_" . "id"], $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_ec438e08973b3716c60e3" . "93f66ef5e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_565d7be99acb0b7627e48da068eebb" . "d6"]);
        $this->_formBuilt = true;
    }
}